Skip to main content
`Ctrl`+`K`

# PetscDSSetCoordinateDimension

Set the coordinate dimension of the `PetscDS`, meaning the dimension of the space into which the discretiaztions are embedded

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetCoordinateDimension(PetscDS prob, PetscInt dimEmbed)

Logically Collective

## Input Parameters

- prob - The `PetscDS` object

- dimEmbed - The coordinate dimension

## See Also

`PetscDS`, `PetscDSGetCoordinateDimension()`, `PetscDSGetSpatialDimension()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages